package leigh.minecraft.leighco.cmd;

import leigh.mecha.cli.CommandHandler;
import leigh.minecraft.leighco.LeighCoState;

public class LandMemberAddCommand implements CommandHandler<LeighCoState> {
    @Override
    public void handle(String[] cmd, LeighCoState state) throws Exception {
        if (cmd.length != 3) {
            state.sendMessage("Usage: /lc land member add lotName survivorName");
            return;
        }

        String lotName = cmd[1];
        String survivorName = cmd[2];

        state.getApp().landMemberAdd(lotName, state.getPlayerId(), survivorName);
    }
}
